#pragma once

#include "CoreMinimal.h"
#include "InputCoreTypes.h"
#include "SkillCheckViewData.generated.h"

USTRUCT(BlueprintType)
struct FSkillCheckViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(BlueprintReadWrite, Transient)
	FKey InputKey;

	UPROPERTY(BlueprintReadWrite, Transient)
	FKey InputKey2;

	UPROPERTY(BlueprintReadWrite, Transient)
	float HitAreaStart;

	UPROPERTY(BlueprintReadWrite, Transient)
	float HitAreaLength;

	UPROPERTY(BlueprintReadWrite, Transient)
	float BonusAreaStart;

	UPROPERTY(BlueprintReadWrite, Transient)
	float BonusAreaLength;

	UPROPERTY(BlueprintReadWrite, Transient)
	bool IsHexed;

	UPROPERTY(BlueprintReadWrite, Transient)
	bool IsSpectating;

	UPROPERTY(BlueprintReadWrite, Transient)
	bool IsReversed;

	UPROPERTY(BlueprintReadWrite, Transient)
	bool IsMirrored;

	UPROPERTY(BlueprintReadWrite, Transient)
	bool IsInsane;

public:
	DBDUIVIEWINTERFACES_API FSkillCheckViewData();
};

FORCEINLINE uint32 GetTypeHash(const FSkillCheckViewData) { return 0; }
